#include "config.h"
/*
 * Copyright (c) 1986, 2014 by The Trustees of Columbia University in
 * the City of New York.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  + Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *  + Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 *  + Neither the name of Columbia University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.

 Authors: Andrew Lowry, Howie Kaye
*/

#include <stdio.h>

#if HAVE_STDC
#include <stdlib.h>
#endif

int
#if HAVE_STDC
main(int argc, char **argv)
#else /* K&R style */
main(argc,argv)
int argc;
char *argv[];
#endif /* HAVE_STDC */
{
  int c,x;

  while (1) {
    printf("%s",argv[1]);
    c = getchar();
    if (c != '\n' && c != EOF)
      while ((x = getchar()) != '\n')
	if (x == EOF) exit(-1);
    if ((c == 'Y') || (c == 'y')) exit(0);
    if ((c == 'N') || (c == 'n') || (c == EOF)) exit(1);
    printf("Please answer 'Y' or 'N'\n");
  }

  return (0);	/*NOTREACHED*/		/* keep optimizers and lint happy */
}
